Subject: bug#75192: closed (Re: bug#75192: [PATCH] Update fontification for attribute values in heex-ts-mode)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 Jan 2025 15:15:02 +0000

Your bug report

#75192: [PATCH] Update fontification for attribute values in heex-ts-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75192: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75192
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75192: [PATCH] Update fontification for attribute values in heex-ts-mode
From: Stefan Kangas <[email-masked]>
To: Yuan Fu <[email-masked]>, Eli Zaretskii <[email-masked]>
Cc: Wilhelm Kirschbaum <[email-masked]>, [email-masked]
Date: Fri, 3 Jan 2025 09:14:50 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Yuan Fu <[email-masked]> writes:

>> On Jan 2, 2025, at 7:24 AM, Eli Zaretskii <[email-masked]> wrote:
>>
>>> From: Wilhelm Kirschbaum <[email-masked]>
>>> Date: Thu, 2 Jan 2025 12:13:27 +0200
>>> Cc: Stefan Kangas <[email-masked]>, [email-masked], [email-masked]
>>>
>>>>> attribute be highlighted as a string?
>>>>
>>>> I'm not familiar with HEEx and can't share a useful opinion, but FWIW, I
>>>> simply noted that the code directly above the change said
>>>>
>>>>    :feature 'heex-string
>>>>
>>>> which is why I assumed that using a string face should make sense.
>>>
>>> So we think that the current face is just a typo?
>>>
>>> Originally I was not sure what would be more appropriate, but got a comment from a user and saw
>>> html-ts-mode uses string so thought it would be good to change before it gets released.
>>
>> OK, then I think installing this on emacs-30 is TRT.
>
> Agree.

Thanks all, installed on emacs-30 as commit 921f454f508.  Closing.

Subject: [PATCH] Update fontification for attribute values in heex-ts-mode
From: Wilhelm Kirschbaum <[email-masked]>
To: Bug Report Emacs <[email-masked]>
Date: Mon, 30 Dec 2024 12:59:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This updates heex-ts-mode to use font-lock-string-face to be consistent
with html-ts-mode on attribute values.

Kind regards,
Wilhelm
From 51dcd9cea634233439db59c977928f8d7a36edff Mon Sep 17 00:00:00 2001
From: Wilhelm Kirschbaum <[email-masked]>
Date: Mon, 30 Dec 2024 12:56:40 +0200
Subject: [PATCH] Update fontification for attribute values in heex-ts-mode

Attribute values are strings as with html-ts-mode.

* lisp/progmodes/heex-ts-mode.el (heex-ts--font-lock-settings):
Change to attribute value to @font-lock-string-face.
---
 lisp/progmodes/heex-ts-mode.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/heex-ts-mode.el b/lisp/progmodes/heex-ts-mode.el
index 797bfd6c8ff..4be987f9d81 100644
--- a/lisp/progmodes/heex-ts-mode.el
+++ b/lisp/progmodes/heex-ts-mode.el
@@ -113,7 +113,7 @@ heex-ts--font-lock-settings
      `((special_attribute_name) @font-lock-keyword-face)
      :language 'heex
      :feature 'heex-string
-     `([(attribute_value) (quoted_attribute_value)] @font-lock-constant-face)
+     `([(attribute_value) (quoted_attribute_value)] @font-lock-string-face)
      :language 'heex
      :feature 'heex-component
      `([
-- 
2.45.2